package com.jojubanking.boot.module.system.convert.information;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.information.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.information.InformationDO;

/**
 * 指南信息 Convert
 *
 * @author admin
 */
@Mapper
public interface InformationConvert {

    InformationConvert INSTANCE = Mappers.getMapper(InformationConvert.class);

    InformationDO convert(InformationCreateReqVO bean);

    InformationDO convert(InformationUpdateReqVO bean);

    InformationRespVO convert(InformationDO bean);

    List<InformationRespVO> convertList(List<InformationDO> list);

    PageResult<InformationRespVO> convertPage(PageResult<InformationDO> page);

    List<InformationExcelVO> convertList02(List<InformationDO> list);

}
